# Change Log
All notable changes to the Heap Android Core SDK will be documented in this file.

The format is based on [Keep a Changelog][cl] and this project adheres to
[Semantic Versioning][sv].

[cl]: http://keepachangelog.com/
[sv]: http://semver.org/

## [0.3.0] 2023-06-23
- Added support for AndroidX Fragment transition events [HEAP-41749]
- Added support to track app version changes [HEAP-42158]

## [0.2.0] 2023-05-15
- Fixed a race condition that could prevent capture of the Android Advertiser ID property. [HEAP-42385]
- Changed the default behavior of `Heap.startRecording` to delay the start of a session until an event or pageview occurs. In order to override the default behavior and start a session immediately, initialize an `Options` instance with `startSessionImmediately` set to `true` and invoke `Heap.startRecording` with that `Options` instance. NOTE: If you are using the Heap Android View Autocapture SDK, you must also upgrade that dependency's version to 0.2.0. [HEAP-43105]

## [0.1.1] 2023-03-14
- Event properties with empty keys or values will be omitted. [HEAP-41456]

## [0.1.0] 2023-03-09
- Initial release of Heap Android Core SDK [HEAP-33889]
